---
name: 🐛 Bug Report
about: Report a bug to help us improve.
title: "[Bug] - Short description of the bug"
labels: bug
assignees: '' # Optional: Add default assignee(s)

---

Thanks for taking the time to report a bug! Please fill in as much of the following information as possible.

## **Describe the bug**

A clear and concise description of what the bug is. Be specific! Include what you were doing when the bug occurred.

## **Steps to Reproduce**

Detailed steps to reproduce the behavior:

1. [First Step]
2. [Second Step]
3. [And so on...]

If possible, provide a minimal reproducible example (e.g., a short code snippet, configuration file, or a link to a test case).

## **Expected behavior**

A clear and concise description of what you expected to happen.

## **Screenshots**

If applicable, add screenshots to help explain your problem.

## **Environment**

* **OS:** [e.g., Windows 10, macOS Monterey, Ubuntu 20.04]
* **Browser:** [e.g., Chrome 90, Firefox 85, Safari 14] (If applicable)
* **Version:** [e.g., Version number of the software/library]
* **Device:** [e.g., Desktop, Mobile, Tablet] (If applicable)

## **Additional context**

Add any other context about the problem here, such as:

* Workarounds you've tried.
* Relevant error messages or logs.
* Anything else that might help us understand the issue.
